/* external style sheet 

    selector{

    declaration/declaration block//
        property:value;

    }
*/

* {
    list-style: none;
    font-family: Arial, Helvetica, sans-serif;
    
}
body{
    font-family: Arial, Helvetica, sans-serif;
    background-image: url('./Ampere-image-1.png');
}

image{
    opacity:0.9;
}

#decode_odt_header{
    /* border: solid black 5px; */
    border: solid orangered 0.7px;
    padding-left: 10px;
    margin-left:10px;
    margin-right:10px;
    /* position: fixed; */

    
}

/* #ampere-logo{
    background-image: url("./Ampere-image-1.png");
} */


/* #decode-odt-utility-list li{
    text-align: center;
    
} */

#decode-odt-utility-list li:hover{
    padding-bottom: 5px;
    
    width:200px;
    opacity: 1;
    
    text-align: center;
    
}






h2:hover{
    color:orangered;
}

label{
    opacity: 0.55;
}

label:hover{
    color:orangered;
}

form{
    display: inline-block;
    
}

#rtt-grp-heading{
    text-align: center;
    opacity:0.45;
}

.dimm-slot-heading{
    opacity: 0.45;
}

#decode_odt-util-div{
    border: solid orangered 0.7px;
    /* centering the main div content */
    
    width:800px;
    margin-top:50px;
    margin-left:10px;
    margin-right:10px;


    opacity:0.95;
    display: inline-block;
    background-color:lightgrey;
    padding: 20px 30px;
    position: relative;
    left:40%; 
    
}

#div-1{
    /* border: solid orangered 5px; */
    padding-left:80px;
    display: inline;
}

#div-2{
    /* border: solid orangered 5px; */
    padding-left:300px;
    display: inline;
    
}

                                                                                                                                   
#output-div{
    display: inline-block;
    border: solid orangered 0.7px;
    width:100%;
    margin: 5 auto;
    background-color: whitesmoke;

    /* margin-top:10px;
    margin-bottom: 10px;
    margin-right: 10px;
    margin-left: 45px; */
}

#output-div h2{
    text-align: center;
    font-weight: 100;
    font-size: 30px;
}

h1, h2{
    font-family: Arial, Helvetica, sans-serif;
    
}

p{
    font-weight: bold;
}


/* temporary functionality */
#convert{
    border-style: none;
    margin: 5% auto;
    /* margin-top:1%;
    margin-left:43%; */
}

/* 

visual rules 

font-weight property controls how bold or thin text appears.

To change the typeface/font-family/text style of text on your web page, you can use the font-family property.

color & background
    - can affect foreground 
        - foreground - color that the element appears in.
        - e.g. p > color: black > will change the color of a paragraph element.
    - can affect background
        - background/space of an element is set to a color.

    opacity - measurement of how transparent an elenent is.
        - the lower the number, the more opaque/transparent the element will be.
        - 

    background-image - The background-image property will set the element’s background to display an image.


    !important - It will override any style no matter how specific it is. 
        - can be appled to specific declaration, instead of full rules.
        - 

    box-model - box model, an important concept to understand how elements are positioned and displayed on a website.

        - all elements live inside of a box.

        - width and height: The width and height of the content area.
            - An element’s content has two dimensions: a height and a width.

            - Pixels allow you to set the exact size of an element’s box (width and height).

        - padding: The amount of space between the content area and the border.
            - padding shorthand corresponds to the amount of padding on each side, in a clockwise rotation.

            padding: 5px; > all sides assigned the same amount.
            padding: 5px 5px 5px 5px; > top, left, right, bottom.
            padding: 5px 5px 5px; > top, left & right, bottom.
            padding: 5px 5px; > top & bottom, left & right.

        - border: The thickness and style of the border surrounding the content area and padding.
            - A border is a line that surrounds an element.

        - margin: The amount of space between the border and the outside edge of the element.

            margin:5px; > all sides assigned the same amount
            margin: 5px 5px 5px 5px; > top, left, right, bottom.
            margin: 5px 5px 5px; > top, left & right, bottom.
            margin: 5px 5px; > top & bottom, left & right.
        
            - centering a div element within its containing element.
                - width: #px;
                - margin: 0 auto;
            
        
            - margin collapse
                - top and bottom margins, also called vertical margins, collapse, while top and bottom padding does not.
                - horizontal margin & horizontal padding for twi divs will be as far apart as the sum of their adjacent margins. 

                - verticle margins do not add together.

                    - the larger of the two vertical margins sets the distance between adjacent elements.
                    
                    - i.e. > #div-1{
                            margin-bottom: 30px;
                            }

                            #div-2{
                            margin-top: 20px;
                            }

                    

            
            - min and max height & width 
                - min-width — this property ensures a minimum width of an element’s box.
                - max-width — this property ensures a maximum width of an element’s box.

            
            - overflow - The overflow property controls what happens to content that spills, or overflows, outside its box.
                    - hidden — when set to this value, any content that overflows will be hidden from view.
                    - scroll — when set to this value, a scrollbar will be added to the element’s box so that the rest of the content can be viewed by scrolling.
                    - visible — when set to this value, the overflow content will be displayed outside of the containing element. Note, this is the default value.

            - resetting default - default stylesheets are known as user agent.
                            - User agent stylesheets often have default CSS rules that set default values for padding and margin.
                            - good to use for cleaning code/debugging.
                            i.e. > *{
                                        margin:0;
                                        padding:0
                                }

            - visibility - Elements can be hidden from view with the visibility property.
                - visibility values
                - hidden — hides an element.
                - visible — displays an element.
                - collapse — collapses an element.

                i.e. > element{
                        visibility:visibility values;
                    }

            - box-model: content box
                    - box-sizing -  property controls the type of box model the browser should use when interpreting a web page. 

                    - content-box - This is the initial and default value as specified by the CSS standard. 
                        The width and height properties include the content, but does not include the padding, border, or margin.

                    - border-box - the height and width of the box will remain fixed.

            - flow of html - five properties for adjusting the position of HTML elements in the browser.

                    - position - sets how an element is positioned in a document.

                        - default position of an element can be changed by setting its position property. 
                        
                        - static - default value of an elements position.

                        - relative - value allows you to position an element relative to its default static position on the web page. 

                            - top - moves the element down from the top.
                            - bottom - moves the element up from the bottom.
                            - left - moves the element away from the left side (to the right).
                            - right - moves the element away from the right side (to the left).

                            #element{
                                position: relative;
                                top: 50px;
                                left: 120px;
                            }
                        
                        - 


                    - display
                    - z-index
                    - float
                    - clear

            - position 
                - sticky - 

            display and positioning 
                - z - index - controls how far back or how far forward an element should appear on the web page when elements overlap.
                - .blue-box {
                        background-color: blue;
                        position: relative;
                        z-index: 1;
                    }

                    .green-box {
                        background-color: green;
                        position: relative;
                        top: -170px;
                        left: 170px;
                    }

                    * The z-index of 1 moves the 
                    .blue-box element forward, because the z-index 
                    value has not been explicitly specified for the 
                    .green-box element, which means it has a default z-index value of 0. 




            display and positioning: 

                    - block - elements take up the width of their container and can have manually adjusted heights.

                    - Inline-block elements can appear next to each other and 
                    we can specify their dimensions using the width and height properties.

                    - float - moving an element as far left or as far right as possible in the container, you can use the float property. 
                        - left - moves, or floats, elements as far left as possible.
                        - right - moves, or floats, elements as far right as possible.

                    - clear - clear property specifies how elements should behave when they 'bump' into each other on the page. It can take on one of the following values:

                        - left - the left side of the element will not touch any other element within the same containing element.

                        - right - the right side of the element will not touch any other element within the same containing element.

                        - both - neither side of the element will touch any other element within the same containing element.

                        - none - the element can touch either side.







                    


            



                



    
*/


